Search
lxdream.org :: lxdream/src/Makefile.in :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename src/Makefile.in
changeset 359:c588dce7ebde
prev352:f0df7a6d4703
next363:7d0bab24016c
author nkeynes
date Thu Aug 23 12:33:27 2007 +0000 (13 years ago)
permissions -rw-r--r--
last change Commit decoder generator
Translator work in progress
Fix mac.l, mac.w in emu core
file annotate diff log raw
1.1 --- a/src/Makefile.in Sun Feb 11 10:09:32 2007 +0000
1.2 +++ b/src/Makefile.in Thu Aug 23 12:33:27 2007 +0000
1.3 @@ -140,7 +140,11 @@
1.4 @PACKAGE_CFLAGS@
1.5
1.6
1.7 -bin_PROGRAMS = lxdream
1.8 +bin_PROGRAMS = gendec lxdream
1.9 +
1.10 +BUILT_SOURCES = sh4/sh4core.c sh4/sh4dasm.c sh4/sh4x86.c
1.11 +
1.12 +gendec_SOURCES = tools/gendec.c tools/gendec.h tools/insparse.c tools/actparse.c
1.13
1.14 lxdream_SOURCES = \
1.15 main.c \
1.16 @@ -152,7 +156,8 @@
1.17 dreamcast.c dreamcast.h eventq.c eventq.h \
1.18 sh4/intc.c sh4/intc.h sh4/sh4mem.c sh4/timer.c sh4/dmac.c \
1.19 sh4/sh4core.c sh4/sh4core.h sh4/sh4dasm.c sh4/sh4dasm.h \
1.20 - sh4/sh4mmio.c sh4/sh4mmio.h sh4/scif.c \
1.21 + sh4/sh4mmio.c sh4/sh4mmio.h sh4/scif.c sh4/xltcache.c sh4/xltcache.h \
1.22 + sh4/sh4trans.c sh4/sh4trans.h sh4/sh4x86.c \
1.23 aica/armcore.c aica/armcore.h aica/armdasm.c aica/armmem.c \
1.24 aica/aica.c aica/aica.h aica/audio.c aica/audio.h \
1.25 pvr2/pvr2.c pvr2/pvr2.h pvr2/pvr2mem.c \
1.26 @@ -175,15 +180,29 @@
1.27
1.28 lxdream_LDADD = @PACKAGE_LIBS@ $(INTLLIBS) -lesd
1.29
1.30 +gendec_LDADD = @PACKAGE_LIBS@ $(INTLLIBS)
1.31 +
1.32 +TESTS = test/testxlt
1.33 +
1.34 +check_PROGRAMS = test/testxlt
1.35 +
1.36 +test_testxlt_SOURCES = test/testxlt.c sh4/xltcache.c sh4/xltcache.h
1.37 +
1.38 AM_CFLAGS = -D_ISOC99_SOURCE -D_BSD_SOURCE
1.39 subdir = src
1.40 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
1.41 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
1.42 CONFIG_HEADER = $(top_builddir)/config.h
1.43 CONFIG_CLEAN_FILES =
1.44 -bin_PROGRAMS = lxdream$(EXEEXT)
1.45 +bin_PROGRAMS = gendec$(EXEEXT) lxdream$(EXEEXT)
1.46 +check_PROGRAMS = test/testxlt$(EXEEXT)
1.47 PROGRAMS = $(bin_PROGRAMS)
1.48
1.49 +am_gendec_OBJECTS = gendec.$(OBJEXT) insparse.$(OBJEXT) \
1.50 + actparse.$(OBJEXT)
1.51 +gendec_OBJECTS = $(am_gendec_OBJECTS)
1.52 +gendec_DEPENDENCIES =
1.53 +gendec_LDFLAGS =
1.54 am_lxdream_OBJECTS = main.$(OBJEXT) mem.$(OBJEXT) watch.$(OBJEXT) \
1.55 asic.$(OBJEXT) syscall.$(OBJEXT) bios.$(OBJEXT) \
1.56 dcload.$(OBJEXT) ide.$(OBJEXT) gdimage.$(OBJEXT) \
1.57 @@ -191,7 +210,8 @@
1.58 dreamcast.$(OBJEXT) eventq.$(OBJEXT) intc.$(OBJEXT) \
1.59 sh4mem.$(OBJEXT) timer.$(OBJEXT) dmac.$(OBJEXT) \
1.60 sh4core.$(OBJEXT) sh4dasm.$(OBJEXT) sh4mmio.$(OBJEXT) \
1.61 - scif.$(OBJEXT) armcore.$(OBJEXT) armdasm.$(OBJEXT) \
1.62 + scif.$(OBJEXT) xltcache.$(OBJEXT) sh4trans.$(OBJEXT) \
1.63 + sh4x86.$(OBJEXT) armcore.$(OBJEXT) armdasm.$(OBJEXT) \
1.64 armmem.$(OBJEXT) aica.$(OBJEXT) audio.$(OBJEXT) pvr2.$(OBJEXT) \
1.65 pvr2mem.$(OBJEXT) tacore.$(OBJEXT) render.$(OBJEXT) \
1.66 rendcore.$(OBJEXT) rendbkg.$(OBJEXT) rendsort.$(OBJEXT) \
1.67 @@ -206,48 +226,60 @@
1.68 lxdream_OBJECTS = $(am_lxdream_OBJECTS)
1.69 lxdream_DEPENDENCIES =
1.70 lxdream_LDFLAGS =
1.71 +am_test_testxlt_OBJECTS = testxlt.$(OBJEXT) xltcache.$(OBJEXT)
1.72 +test_testxlt_OBJECTS = $(am_test_testxlt_OBJECTS)
1.73 +test_testxlt_LDADD = $(LDADD)
1.74 +test_testxlt_DEPENDENCIES =
1.75 +test_testxlt_LDFLAGS =
1.76 +am__dirstamp = $(am__leading_dot)dirstamp
1.77
1.78 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
1.79 depcomp = $(SHELL) $(top_srcdir)/depcomp
1.80 am__depfiles_maybe = depfiles
1.81 -@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/aica.Po ./$(DEPDIR)/armcore.Po \
1.82 -@AMDEP_TRUE@ ./$(DEPDIR)/armdasm.Po ./$(DEPDIR)/armmem.Po \
1.83 -@AMDEP_TRUE@ ./$(DEPDIR)/asic.Po ./$(DEPDIR)/audio.Po \
1.84 -@AMDEP_TRUE@ ./$(DEPDIR)/audio_esd.Po ./$(DEPDIR)/audio_null.Po \
1.85 -@AMDEP_TRUE@ ./$(DEPDIR)/bios.Po ./$(DEPDIR)/bootstrap.Po \
1.86 -@AMDEP_TRUE@ ./$(DEPDIR)/callbacks.Po ./$(DEPDIR)/cdi.Po \
1.87 -@AMDEP_TRUE@ ./$(DEPDIR)/controller.Po ./$(DEPDIR)/dcload.Po \
1.88 -@AMDEP_TRUE@ ./$(DEPDIR)/debug_win.Po ./$(DEPDIR)/display.Po \
1.89 -@AMDEP_TRUE@ ./$(DEPDIR)/dmac.Po ./$(DEPDIR)/dreamcast.Po \
1.90 -@AMDEP_TRUE@ ./$(DEPDIR)/dump_win.Po ./$(DEPDIR)/eventq.Po \
1.91 -@AMDEP_TRUE@ ./$(DEPDIR)/gdimage.Po ./$(DEPDIR)/gdrom.Po \
1.92 +@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/actparse.Po ./$(DEPDIR)/aica.Po \
1.93 +@AMDEP_TRUE@ ./$(DEPDIR)/armcore.Po ./$(DEPDIR)/armdasm.Po \
1.94 +@AMDEP_TRUE@ ./$(DEPDIR)/armmem.Po ./$(DEPDIR)/asic.Po \
1.95 +@AMDEP_TRUE@ ./$(DEPDIR)/audio.Po ./$(DEPDIR)/audio_esd.Po \
1.96 +@AMDEP_TRUE@ ./$(DEPDIR)/audio_null.Po ./$(DEPDIR)/bios.Po \
1.97 +@AMDEP_TRUE@ ./$(DEPDIR)/bootstrap.Po ./$(DEPDIR)/callbacks.Po \
1.98 +@AMDEP_TRUE@ ./$(DEPDIR)/cdi.Po ./$(DEPDIR)/controller.Po \
1.99 +@AMDEP_TRUE@ ./$(DEPDIR)/dcload.Po ./$(DEPDIR)/debug_win.Po \
1.100 +@AMDEP_TRUE@ ./$(DEPDIR)/display.Po ./$(DEPDIR)/dmac.Po \
1.101 +@AMDEP_TRUE@ ./$(DEPDIR)/dreamcast.Po ./$(DEPDIR)/dump_win.Po \
1.102 +@AMDEP_TRUE@ ./$(DEPDIR)/eventq.Po ./$(DEPDIR)/gdimage.Po \
1.103 +@AMDEP_TRUE@ ./$(DEPDIR)/gdrom.Po ./$(DEPDIR)/gendec.Po \
1.104 @AMDEP_TRUE@ ./$(DEPDIR)/gl_common.Po ./$(DEPDIR)/gl_fbo.Po \
1.105 @AMDEP_TRUE@ ./$(DEPDIR)/gui.Po ./$(DEPDIR)/ide.Po \
1.106 -@AMDEP_TRUE@ ./$(DEPDIR)/intc.Po ./$(DEPDIR)/interface.Po \
1.107 -@AMDEP_TRUE@ ./$(DEPDIR)/linux.Po ./$(DEPDIR)/loader.Po \
1.108 -@AMDEP_TRUE@ ./$(DEPDIR)/main.Po ./$(DEPDIR)/maple.Po \
1.109 -@AMDEP_TRUE@ ./$(DEPDIR)/mem.Po ./$(DEPDIR)/mmr_win.Po \
1.110 -@AMDEP_TRUE@ ./$(DEPDIR)/nrg.Po ./$(DEPDIR)/pvr2.Po \
1.111 -@AMDEP_TRUE@ ./$(DEPDIR)/pvr2mem.Po ./$(DEPDIR)/rendbkg.Po \
1.112 -@AMDEP_TRUE@ ./$(DEPDIR)/rendcore.Po ./$(DEPDIR)/render.Po \
1.113 -@AMDEP_TRUE@ ./$(DEPDIR)/rendsave.Po ./$(DEPDIR)/rendsort.Po \
1.114 -@AMDEP_TRUE@ ./$(DEPDIR)/scif.Po ./$(DEPDIR)/sh4core.Po \
1.115 -@AMDEP_TRUE@ ./$(DEPDIR)/sh4dasm.Po ./$(DEPDIR)/sh4mem.Po \
1.116 -@AMDEP_TRUE@ ./$(DEPDIR)/sh4mmio.Po ./$(DEPDIR)/support.Po \
1.117 -@AMDEP_TRUE@ ./$(DEPDIR)/syscall.Po ./$(DEPDIR)/tacore.Po \
1.118 +@AMDEP_TRUE@ ./$(DEPDIR)/insparse.Po ./$(DEPDIR)/intc.Po \
1.119 +@AMDEP_TRUE@ ./$(DEPDIR)/interface.Po ./$(DEPDIR)/linux.Po \
1.120 +@AMDEP_TRUE@ ./$(DEPDIR)/loader.Po ./$(DEPDIR)/main.Po \
1.121 +@AMDEP_TRUE@ ./$(DEPDIR)/maple.Po ./$(DEPDIR)/mem.Po \
1.122 +@AMDEP_TRUE@ ./$(DEPDIR)/mmr_win.Po ./$(DEPDIR)/nrg.Po \
1.123 +@AMDEP_TRUE@ ./$(DEPDIR)/pvr2.Po ./$(DEPDIR)/pvr2mem.Po \
1.124 +@AMDEP_TRUE@ ./$(DEPDIR)/rendbkg.Po ./$(DEPDIR)/rendcore.Po \
1.125 +@AMDEP_TRUE@ ./$(DEPDIR)/render.Po ./$(DEPDIR)/rendsave.Po \
1.126 +@AMDEP_TRUE@ ./$(DEPDIR)/rendsort.Po ./$(DEPDIR)/scif.Po \
1.127 +@AMDEP_TRUE@ ./$(DEPDIR)/sh4core.Po ./$(DEPDIR)/sh4dasm.Po \
1.128 +@AMDEP_TRUE@ ./$(DEPDIR)/sh4mem.Po ./$(DEPDIR)/sh4mmio.Po \
1.129 +@AMDEP_TRUE@ ./$(DEPDIR)/sh4trans.Po ./$(DEPDIR)/sh4x86.Po \
1.130 +@AMDEP_TRUE@ ./$(DEPDIR)/support.Po ./$(DEPDIR)/syscall.Po \
1.131 +@AMDEP_TRUE@ ./$(DEPDIR)/tacore.Po ./$(DEPDIR)/testxlt.Po \
1.132 @AMDEP_TRUE@ ./$(DEPDIR)/texcache.Po ./$(DEPDIR)/timer.Po \
1.133 @AMDEP_TRUE@ ./$(DEPDIR)/util.Po ./$(DEPDIR)/video_gtk.Po \
1.134 @AMDEP_TRUE@ ./$(DEPDIR)/video_null.Po ./$(DEPDIR)/video_x11.Po \
1.135 -@AMDEP_TRUE@ ./$(DEPDIR)/watch.Po ./$(DEPDIR)/yuv.Po
1.136 +@AMDEP_TRUE@ ./$(DEPDIR)/watch.Po ./$(DEPDIR)/xltcache.Po \
1.137 +@AMDEP_TRUE@ ./$(DEPDIR)/yuv.Po
1.138 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
1.139 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
1.140 CCLD = $(CC)
1.141 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
1.142 -DIST_SOURCES = $(lxdream_SOURCES)
1.143 +DIST_SOURCES = $(gendec_SOURCES) $(lxdream_SOURCES) \
1.144 + $(test_testxlt_SOURCES)
1.145 DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
1.146 -SOURCES = $(lxdream_SOURCES)
1.147 +SOURCES = $(gendec_SOURCES) $(lxdream_SOURCES) $(test_testxlt_SOURCES)
1.148
1.149 -all: all-am
1.150 +all: $(BUILT_SOURCES)
1.151 + $(MAKE) $(AM_MAKEFLAGS) all-am
1.152
1.153 .SUFFIXES:
1.154 .SUFFIXES: .c .o .obj
1.155 @@ -280,9 +312,21 @@
1.156
1.157 clean-binPROGRAMS:
1.158 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
1.159 +
1.160 +clean-checkPROGRAMS:
1.161 + -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
1.162 +gendec$(EXEEXT): $(gendec_OBJECTS) $(gendec_DEPENDENCIES)
1.163 + @rm -f gendec$(EXEEXT)
1.164 + $(LINK) $(gendec_LDFLAGS) $(gendec_OBJECTS) $(gendec_LDADD) $(LIBS)
1.165 lxdream$(EXEEXT): $(lxdream_OBJECTS) $(lxdream_DEPENDENCIES)
1.166 @rm -f lxdream$(EXEEXT)
1.167 $(LINK) $(lxdream_LDFLAGS) $(lxdream_OBJECTS) $(lxdream_LDADD) $(LIBS)
1.168 +test/$(am__dirstamp):
1.169 + @$(mkinstalldirs) test
1.170 + @: > test/$(am__dirstamp)
1.171 +test/testxlt$(EXEEXT): $(test_testxlt_OBJECTS) $(test_testxlt_DEPENDENCIES) test/$(am__dirstamp)
1.172 + @rm -f test/testxlt$(EXEEXT)
1.173 + $(LINK) $(test_testxlt_LDFLAGS) $(test_testxlt_OBJECTS) $(test_testxlt_LDADD) $(LIBS)
1.174
1.175 mostlyclean-compile:
1.176 -rm -f *.$(OBJEXT) core *.core
1.177 @@ -290,6 +334,7 @@
1.178 distclean-compile:
1.179 -rm -f *.tab.c
1.180
1.181 +@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/actparse.Po@am__quote@
1.182 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aica.Po@am__quote@
1.183 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/armcore.Po@am__quote@
1.184 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/armdasm.Po@am__quote@
1.185 @@ -312,10 +357,12 @@
1.186 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/eventq.Po@am__quote@
1.187 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdimage.Po@am__quote@
1.188 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdrom.Po@am__quote@
1.189 +@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gendec.Po@am__quote@
1.190 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gl_common.Po@am__quote@
1.191 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gl_fbo.Po@am__quote@
1.192 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui.Po@am__quote@
1.193 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ide.Po@am__quote@
1.194 +@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/insparse.Po@am__quote@
1.195 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/intc.Po@am__quote@
1.196 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/interface.Po@am__quote@
1.197 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/linux.Po@am__quote@
1.198 @@ -337,9 +384,12 @@
1.199 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sh4dasm.Po@am__quote@
1.200 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sh4mem.Po@am__quote@
1.201 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sh4mmio.Po@am__quote@
1.202 +@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sh4trans.Po@am__quote@
1.203 +@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sh4x86.Po@am__quote@
1.204 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/support.Po@am__quote@
1.205 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/syscall.Po@am__quote@
1.206 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tacore.Po@am__quote@
1.207 +@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testxlt.Po@am__quote@
1.208 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/texcache.Po@am__quote@
1.209 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/timer.Po@am__quote@
1.210 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Po@am__quote@
1.211 @@ -347,6 +397,7 @@
1.212 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/video_null.Po@am__quote@
1.213 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/video_x11.Po@am__quote@
1.214 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/watch.Po@am__quote@
1.215 +@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xltcache.Po@am__quote@
1.216 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/yuv.Po@am__quote@
1.217
1.218 .c.o:
1.219 @@ -371,6 +422,72 @@
1.220 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.221 @am__fastdepCC_FALSE@ $(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
1.222
1.223 +gendec.o: tools/gendec.c
1.224 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gendec.o -MD -MP -MF "$(DEPDIR)/gendec.Tpo" \
1.225 +@am__fastdepCC_TRUE@ -c -o gendec.o `test -f 'tools/gendec.c' || echo '$(srcdir)/'`tools/gendec.c; \
1.226 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/gendec.Tpo" "$(DEPDIR)/gendec.Po"; \
1.227 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/gendec.Tpo"; exit 1; \
1.228 +@am__fastdepCC_TRUE@ fi
1.229 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='tools/gendec.c' object='gendec.o' libtool=no @AMDEPBACKSLASH@
1.230 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/gendec.Po' tmpdepfile='$(DEPDIR)/gendec.TPo' @AMDEPBACKSLASH@
1.231 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.232 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gendec.o `test -f 'tools/gendec.c' || echo '$(srcdir)/'`tools/gendec.c
1.233 +
1.234 +gendec.obj: tools/gendec.c
1.235 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gendec.obj -MD -MP -MF "$(DEPDIR)/gendec.Tpo" \
1.236 +@am__fastdepCC_TRUE@ -c -o gendec.obj `if test -f 'tools/gendec.c'; then $(CYGPATH_W) 'tools/gendec.c'; else $(CYGPATH_W) '$(srcdir)/tools/gendec.c'; fi`; \
1.237 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/gendec.Tpo" "$(DEPDIR)/gendec.Po"; \
1.238 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/gendec.Tpo"; exit 1; \
1.239 +@am__fastdepCC_TRUE@ fi
1.240 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='tools/gendec.c' object='gendec.obj' libtool=no @AMDEPBACKSLASH@
1.241 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/gendec.Po' tmpdepfile='$(DEPDIR)/gendec.TPo' @AMDEPBACKSLASH@
1.242 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.243 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gendec.obj `if test -f 'tools/gendec.c'; then $(CYGPATH_W) 'tools/gendec.c'; else $(CYGPATH_W) '$(srcdir)/tools/gendec.c'; fi`
1.244 +
1.245 +insparse.o: tools/insparse.c
1.246 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT insparse.o -MD -MP -MF "$(DEPDIR)/insparse.Tpo" \
1.247 +@am__fastdepCC_TRUE@ -c -o insparse.o `test -f 'tools/insparse.c' || echo '$(srcdir)/'`tools/insparse.c; \
1.248 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/insparse.Tpo" "$(DEPDIR)/insparse.Po"; \
1.249 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/insparse.Tpo"; exit 1; \
1.250 +@am__fastdepCC_TRUE@ fi
1.251 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='tools/insparse.c' object='insparse.o' libtool=no @AMDEPBACKSLASH@
1.252 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/insparse.Po' tmpdepfile='$(DEPDIR)/insparse.TPo' @AMDEPBACKSLASH@
1.253 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.254 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o insparse.o `test -f 'tools/insparse.c' || echo '$(srcdir)/'`tools/insparse.c
1.255 +
1.256 +insparse.obj: tools/insparse.c
1.257 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT insparse.obj -MD -MP -MF "$(DEPDIR)/insparse.Tpo" \
1.258 +@am__fastdepCC_TRUE@ -c -o insparse.obj `if test -f 'tools/insparse.c'; then $(CYGPATH_W) 'tools/insparse.c'; else $(CYGPATH_W) '$(srcdir)/tools/insparse.c'; fi`; \
1.259 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/insparse.Tpo" "$(DEPDIR)/insparse.Po"; \
1.260 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/insparse.Tpo"; exit 1; \
1.261 +@am__fastdepCC_TRUE@ fi
1.262 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='tools/insparse.c' object='insparse.obj' libtool=no @AMDEPBACKSLASH@
1.263 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/insparse.Po' tmpdepfile='$(DEPDIR)/insparse.TPo' @AMDEPBACKSLASH@
1.264 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.265 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o insparse.obj `if test -f 'tools/insparse.c'; then $(CYGPATH_W) 'tools/insparse.c'; else $(CYGPATH_W) '$(srcdir)/tools/insparse.c'; fi`
1.266 +
1.267 +actparse.o: tools/actparse.c
1.268 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT actparse.o -MD -MP -MF "$(DEPDIR)/actparse.Tpo" \
1.269 +@am__fastdepCC_TRUE@ -c -o actparse.o `test -f 'tools/actparse.c' || echo '$(srcdir)/'`tools/actparse.c; \
1.270 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/actparse.Tpo" "$(DEPDIR)/actparse.Po"; \
1.271 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/actparse.Tpo"; exit 1; \
1.272 +@am__fastdepCC_TRUE@ fi
1.273 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='tools/actparse.c' object='actparse.o' libtool=no @AMDEPBACKSLASH@
1.274 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/actparse.Po' tmpdepfile='$(DEPDIR)/actparse.TPo' @AMDEPBACKSLASH@
1.275 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.276 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o actparse.o `test -f 'tools/actparse.c' || echo '$(srcdir)/'`tools/actparse.c
1.277 +
1.278 +actparse.obj: tools/actparse.c
1.279 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT actparse.obj -MD -MP -MF "$(DEPDIR)/actparse.Tpo" \
1.280 +@am__fastdepCC_TRUE@ -c -o actparse.obj `if test -f 'tools/actparse.c'; then $(CYGPATH_W) 'tools/actparse.c'; else $(CYGPATH_W) '$(srcdir)/tools/actparse.c'; fi`; \
1.281 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/actparse.Tpo" "$(DEPDIR)/actparse.Po"; \
1.282 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/actparse.Tpo"; exit 1; \
1.283 +@am__fastdepCC_TRUE@ fi
1.284 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='tools/actparse.c' object='actparse.obj' libtool=no @AMDEPBACKSLASH@
1.285 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/actparse.Po' tmpdepfile='$(DEPDIR)/actparse.TPo' @AMDEPBACKSLASH@
1.286 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.287 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o actparse.obj `if test -f 'tools/actparse.c'; then $(CYGPATH_W) 'tools/actparse.c'; else $(CYGPATH_W) '$(srcdir)/tools/actparse.c'; fi`
1.288 +
1.289 ide.o: gdrom/ide.c
1.290 @am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT ide.o -MD -MP -MF "$(DEPDIR)/ide.Tpo" \
1.291 @am__fastdepCC_TRUE@ -c -o ide.o `test -f 'gdrom/ide.c' || echo '$(srcdir)/'`gdrom/ide.c; \
1.292 @@ -679,6 +796,72 @@
1.293 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.294 @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o scif.obj `if test -f 'sh4/scif.c'; then $(CYGPATH_W) 'sh4/scif.c'; else $(CYGPATH_W) '$(srcdir)/sh4/scif.c'; fi`
1.295
1.296 +xltcache.o: sh4/xltcache.c
1.297 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT xltcache.o -MD -MP -MF "$(DEPDIR)/xltcache.Tpo" \
1.298 +@am__fastdepCC_TRUE@ -c -o xltcache.o `test -f 'sh4/xltcache.c' || echo '$(srcdir)/'`sh4/xltcache.c; \
1.299 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/xltcache.Tpo" "$(DEPDIR)/xltcache.Po"; \
1.300 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/xltcache.Tpo"; exit 1; \
1.301 +@am__fastdepCC_TRUE@ fi
1.302 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='sh4/xltcache.c' object='xltcache.o' libtool=no @AMDEPBACKSLASH@
1.303 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/xltcache.Po' tmpdepfile='$(DEPDIR)/xltcache.TPo' @AMDEPBACKSLASH@
1.304 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.305 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o xltcache.o `test -f 'sh4/xltcache.c' || echo '$(srcdir)/'`sh4/xltcache.c
1.306 +
1.307 +xltcache.obj: sh4/xltcache.c
1.308 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT xltcache.obj -MD -MP -MF "$(DEPDIR)/xltcache.Tpo" \
1.309 +@am__fastdepCC_TRUE@ -c -o xltcache.obj `if test -f 'sh4/xltcache.c'; then $(CYGPATH_W) 'sh4/xltcache.c'; else $(CYGPATH_W) '$(srcdir)/sh4/xltcache.c'; fi`; \
1.310 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/xltcache.Tpo" "$(DEPDIR)/xltcache.Po"; \
1.311 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/xltcache.Tpo"; exit 1; \
1.312 +@am__fastdepCC_TRUE@ fi
1.313 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='sh4/xltcache.c' object='xltcache.obj' libtool=no @AMDEPBACKSLASH@
1.314 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/xltcache.Po' tmpdepfile='$(DEPDIR)/xltcache.TPo' @AMDEPBACKSLASH@
1.315 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.316 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o xltcache.obj `if test -f 'sh4/xltcache.c'; then $(CYGPATH_W) 'sh4/xltcache.c'; else $(CYGPATH_W) '$(srcdir)/sh4/xltcache.c'; fi`
1.317 +
1.318 +sh4trans.o: sh4/sh4trans.c
1.319 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sh4trans.o -MD -MP -MF "$(DEPDIR)/sh4trans.Tpo" \
1.320 +@am__fastdepCC_TRUE@ -c -o sh4trans.o `test -f 'sh4/sh4trans.c' || echo '$(srcdir)/'`sh4/sh4trans.c; \
1.321 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/sh4trans.Tpo" "$(DEPDIR)/sh4trans.Po"; \
1.322 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/sh4trans.Tpo"; exit 1; \
1.323 +@am__fastdepCC_TRUE@ fi
1.324 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='sh4/sh4trans.c' object='sh4trans.o' libtool=no @AMDEPBACKSLASH@
1.325 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/sh4trans.Po' tmpdepfile='$(DEPDIR)/sh4trans.TPo' @AMDEPBACKSLASH@
1.326 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.327 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sh4trans.o `test -f 'sh4/sh4trans.c' || echo '$(srcdir)/'`sh4/sh4trans.c
1.328 +
1.329 +sh4trans.obj: sh4/sh4trans.c
1.330 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sh4trans.obj -MD -MP -MF "$(DEPDIR)/sh4trans.Tpo" \
1.331 +@am__fastdepCC_TRUE@ -c -o sh4trans.obj `if test -f 'sh4/sh4trans.c'; then $(CYGPATH_W) 'sh4/sh4trans.c'; else $(CYGPATH_W) '$(srcdir)/sh4/sh4trans.c'; fi`; \
1.332 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/sh4trans.Tpo" "$(DEPDIR)/sh4trans.Po"; \
1.333 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/sh4trans.Tpo"; exit 1; \
1.334 +@am__fastdepCC_TRUE@ fi
1.335 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='sh4/sh4trans.c' object='sh4trans.obj' libtool=no @AMDEPBACKSLASH@
1.336 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/sh4trans.Po' tmpdepfile='$(DEPDIR)/sh4trans.TPo' @AMDEPBACKSLASH@
1.337 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.338 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sh4trans.obj `if test -f 'sh4/sh4trans.c'; then $(CYGPATH_W) 'sh4/sh4trans.c'; else $(CYGPATH_W) '$(srcdir)/sh4/sh4trans.c'; fi`
1.339 +
1.340 +sh4x86.o: sh4/sh4x86.c
1.341 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sh4x86.o -MD -MP -MF "$(DEPDIR)/sh4x86.Tpo" \
1.342 +@am__fastdepCC_TRUE@ -c -o sh4x86.o `test -f 'sh4/sh4x86.c' || echo '$(srcdir)/'`sh4/sh4x86.c; \
1.343 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/sh4x86.Tpo" "$(DEPDIR)/sh4x86.Po"; \
1.344 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/sh4x86.Tpo"; exit 1; \
1.345 +@am__fastdepCC_TRUE@ fi
1.346 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='sh4/sh4x86.c' object='sh4x86.o' libtool=no @AMDEPBACKSLASH@
1.347 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/sh4x86.Po' tmpdepfile='$(DEPDIR)/sh4x86.TPo' @AMDEPBACKSLASH@
1.348 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.349 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sh4x86.o `test -f 'sh4/sh4x86.c' || echo '$(srcdir)/'`sh4/sh4x86.c
1.350 +
1.351 +sh4x86.obj: sh4/sh4x86.c
1.352 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sh4x86.obj -MD -MP -MF "$(DEPDIR)/sh4x86.Tpo" \
1.353 +@am__fastdepCC_TRUE@ -c -o sh4x86.obj `if test -f 'sh4/sh4x86.c'; then $(CYGPATH_W) 'sh4/sh4x86.c'; else $(CYGPATH_W) '$(srcdir)/sh4/sh4x86.c'; fi`; \
1.354 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/sh4x86.Tpo" "$(DEPDIR)/sh4x86.Po"; \
1.355 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/sh4x86.Tpo"; exit 1; \
1.356 +@am__fastdepCC_TRUE@ fi
1.357 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='sh4/sh4x86.c' object='sh4x86.obj' libtool=no @AMDEPBACKSLASH@
1.358 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/sh4x86.Po' tmpdepfile='$(DEPDIR)/sh4x86.TPo' @AMDEPBACKSLASH@
1.359 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.360 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sh4x86.obj `if test -f 'sh4/sh4x86.c'; then $(CYGPATH_W) 'sh4/sh4x86.c'; else $(CYGPATH_W) '$(srcdir)/sh4/sh4x86.c'; fi`
1.361 +
1.362 armcore.o: aica/armcore.c
1.363 @am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT armcore.o -MD -MP -MF "$(DEPDIR)/armcore.Tpo" \
1.364 @am__fastdepCC_TRUE@ -c -o armcore.o `test -f 'aica/armcore.c' || echo '$(srcdir)/'`aica/armcore.c; \
1.365 @@ -1360,6 +1543,28 @@
1.366 @AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/gl_fbo.Po' tmpdepfile='$(DEPDIR)/gl_fbo.TPo' @AMDEPBACKSLASH@
1.367 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.368 @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gl_fbo.obj `if test -f 'drivers/gl_fbo.c'; then $(CYGPATH_W) 'drivers/gl_fbo.c'; else $(CYGPATH_W) '$(srcdir)/drivers/gl_fbo.c'; fi`
1.369 +
1.370 +testxlt.o: test/testxlt.c
1.371 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT testxlt.o -MD -MP -MF "$(DEPDIR)/testxlt.Tpo" \
1.372 +@am__fastdepCC_TRUE@ -c -o testxlt.o `test -f 'test/testxlt.c' || echo '$(srcdir)/'`test/testxlt.c; \
1.373 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/testxlt.Tpo" "$(DEPDIR)/testxlt.Po"; \
1.374 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/testxlt.Tpo"; exit 1; \
1.375 +@am__fastdepCC_TRUE@ fi
1.376 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='test/testxlt.c' object='testxlt.o' libtool=no @AMDEPBACKSLASH@
1.377 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/testxlt.Po' tmpdepfile='$(DEPDIR)/testxlt.TPo' @AMDEPBACKSLASH@
1.378 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.379 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o testxlt.o `test -f 'test/testxlt.c' || echo '$(srcdir)/'`test/testxlt.c
1.380 +
1.381 +testxlt.obj: test/testxlt.c
1.382 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT testxlt.obj -MD -MP -MF "$(DEPDIR)/testxlt.Tpo" \
1.383 +@am__fastdepCC_TRUE@ -c -o testxlt.obj `if test -f 'test/testxlt.c'; then $(CYGPATH_W) 'test/testxlt.c'; else $(CYGPATH_W) '$(srcdir)/test/testxlt.c'; fi`; \
1.384 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/testxlt.Tpo" "$(DEPDIR)/testxlt.Po"; \
1.385 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/testxlt.Tpo"; exit 1; \
1.386 +@am__fastdepCC_TRUE@ fi
1.387 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='test/testxlt.c' object='testxlt.obj' libtool=no @AMDEPBACKSLASH@
1.388 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/testxlt.Po' tmpdepfile='$(DEPDIR)/testxlt.TPo' @AMDEPBACKSLASH@
1.389 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1.390 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o testxlt.obj `if test -f 'test/testxlt.c'; then $(CYGPATH_W) 'test/testxlt.c'; else $(CYGPATH_W) '$(srcdir)/test/testxlt.c'; fi`
1.391 uninstall-info-am:
1.392
1.393 ETAGS = etags
1.394 @@ -1415,6 +1620,79 @@
1.395
1.396 distclean-tags:
1.397 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1.398 +
1.399 +check-TESTS: $(TESTS)
1.400 + @failed=0; all=0; xfail=0; xpass=0; skip=0; \
1.401 + srcdir=$(srcdir); export srcdir; \
1.402 + list='$(TESTS)'; \
1.403 + if test -n "$$list"; then \
1.404 + for tst in $$list; do \
1.405 + if test -f ./$$tst; then dir=./; \
1.406 + elif test -f $$tst; then dir=; \
1.407 + else dir="$(srcdir)/"; fi; \
1.408 + if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
1.409 + all=`expr $$all + 1`; \
1.410 + case " $(XFAIL_TESTS) " in \
1.411 + *" $$tst "*) \
1.412 + xpass=`expr $$xpass + 1`; \
1.413 + failed=`expr $$failed + 1`; \
1.414 + echo "XPASS: $$tst"; \
1.415 + ;; \
1.416 + *) \
1.417 + echo "PASS: $$tst"; \
1.418 + ;; \
1.419 + esac; \
1.420 + elif test $$? -ne 77; then \
1.421 + all=`expr $$all + 1`; \
1.422 + case " $(XFAIL_TESTS) " in \
1.423 + *" $$tst "*) \
1.424 + xfail=`expr $$xfail + 1`; \
1.425 + echo "XFAIL: $$tst"; \
1.426 + ;; \
1.427 + *) \
1.428 + failed=`expr $$failed + 1`; \
1.429 + echo "FAIL: $$tst"; \
1.430 + ;; \
1.431 + esac; \
1.432 + else \
1.433 + skip=`expr $$skip + 1`; \
1.434 + echo "SKIP: $$tst"; \
1.435 + fi; \
1.436 + done; \
1.437 + if test "$$failed" -eq 0; then \
1.438 + if test "$$xfail" -eq 0; then \
1.439 + banner="All $$all tests passed"; \
1.440 + else \
1.441 + banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
1.442 + fi; \
1.443 + else \
1.444 + if test "$$xpass" -eq 0; then \
1.445 + banner="$$failed of $$all tests failed"; \
1.446 + else \
1.447 + banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
1.448 + fi; \
1.449 + fi; \
1.450 + dashes="$$banner"; \
1.451 + skipped=""; \
1.452 + if test "$$skip" -ne 0; then \
1.453 + skipped="($$skip tests were not run)"; \
1.454 + test `echo "$$skipped" | wc -c` -gt `echo "$$banner" | wc -c` && \
1.455 + dashes="$$skipped"; \
1.456 + fi; \
1.457 + report=""; \
1.458 + if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
1.459 + report="Please report to $(PACKAGE_BUGREPORT)"; \
1.460 + test `echo "$$report" | wc -c` -gt `echo "$$banner" | wc -c` && \
1.461 + dashes="$$report"; \
1.462 + fi; \
1.463 + dashes=`echo "$$dashes" | sed s/./=/g`; \
1.464 + echo "$$dashes"; \
1.465 + echo "$$banner"; \
1.466 + test -n "$$skipped" && echo "$$skipped"; \
1.467 + test -n "$$report" && echo "$$report"; \
1.468 + echo "$$dashes"; \
1.469 + test "$$failed" -eq 0; \
1.470 + else :; fi
1.471 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
1.472
1.473 top_distdir = ..
1.474 @@ -1448,12 +1726,16 @@
1.475 fi; \
1.476 done
1.477 check-am: all-am
1.478 -check: check-am
1.479 + $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1.480 + $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1.481 +check: $(BUILT_SOURCES)
1.482 + $(MAKE) $(AM_MAKEFLAGS) check-am
1.483 all-am: Makefile $(PROGRAMS)
1.484
1.485 installdirs:
1.486 $(mkinstalldirs) $(DESTDIR)$(bindir)
1.487 -install: install-am
1.488 +install: $(BUILT_SOURCES)
1.489 + $(MAKE) $(AM_MAKEFLAGS) install-am
1.490 install-exec: install-exec-am
1.491 install-data: install-data-am
1.492 uninstall: uninstall-am
1.493 @@ -1473,13 +1755,16 @@
1.494
1.495 distclean-generic:
1.496 -rm -f $(CONFIG_CLEAN_FILES)
1.497 + -rm -f test/$(am__dirstamp)
1.498
1.499 maintainer-clean-generic:
1.500 @echo "This command is intended for maintainers to use"
1.501 @echo "it deletes files that may require special tools to rebuild."
1.502 + -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1.503 clean: clean-am
1.504
1.505 -clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
1.506 +clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
1.507 + mostlyclean-am
1.508
1.509 distclean: distclean-am
1.510 -rm -rf ./$(DEPDIR)
1.511 @@ -1524,17 +1809,25 @@
1.512
1.513 uninstall-am: uninstall-binPROGRAMS uninstall-info-am
1.514
1.515 -.PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
1.516 - clean-generic ctags distclean distclean-compile \
1.517 - distclean-generic distclean-tags distdir dvi dvi-am info \
1.518 - info-am install install-am install-binPROGRAMS install-data \
1.519 - install-data-am install-exec install-exec-am install-info \
1.520 - install-info-am install-man install-strip installcheck \
1.521 - installcheck-am installdirs maintainer-clean \
1.522 - maintainer-clean-generic mostlyclean mostlyclean-compile \
1.523 - mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
1.524 - uninstall-am uninstall-binPROGRAMS uninstall-info-am
1.525 +.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
1.526 + clean-binPROGRAMS clean-checkPROGRAMS clean-generic ctags \
1.527 + distclean distclean-compile distclean-generic distclean-tags \
1.528 + distdir dvi dvi-am info info-am install install-am \
1.529 + install-binPROGRAMS install-data install-data-am install-exec \
1.530 + install-exec-am install-info install-info-am install-man \
1.531 + install-strip installcheck installcheck-am installdirs \
1.532 + maintainer-clean maintainer-clean-generic mostlyclean \
1.533 + mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
1.534 + tags uninstall uninstall-am uninstall-binPROGRAMS \
1.535 + uninstall-info-am
1.536
1.537 +
1.538 +sh4/sh4core.c: gendec sh4/sh4.def sh4/sh4core.in
1.539 + ./gendec sh4/sh4.def sh4/sh4core.in -o sh4/sh4core.c
1.540 +sh4/sh4dasm.c: gendec sh4/sh4.def sh4/sh4dasm.in
1.541 + ./gendec sh4/sh4.def sh4/sh4dasm.in -o sh4/sh4dasm.c
1.542 +sh4/sh4x86.c: gendec sh4/sh4.def sh4/sh4x86.in
1.543 + ./gendec sh4/sh4.def sh4/sh4x86.in -o sh4/sh4x86.c
1.544 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1.545 # Otherwise a system limit (for SysV at least) may be exceeded.
1.546 .NOEXPORT:
.